import { default as FileSystemRecord } from "./file-system-record";
export interface RemoveUnmatchedOptions {
    ignoreMissingSource?: boolean;
    ignoreMissingDestination?: boolean;
}
export default class Directory extends FileSystemRecord {
    static createAsync(path: string): Promise<void>;
    static createRecursiveAsync(path: string): Promise<void>;
    static copyAsync(src: string, dest: string): Promise<void>;
    static removeAsync(path: string): Promise<void>;
    static removeRecursiveAsync(path: string): Promise<void>;
    /** Removes all directories in destination with no match in source. */
    static removeUnmatchedAsync(src: string, dest: string, options?: RemoveUnmatchedOptions): Promise<void>;
}
