(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["module", "exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports);
    global.undefined = mod.exports;
  }
})(this, function (module, exports) {
  "use strict";

  (function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
      var v = factory(require, exports);
      if (v !== undefined) module.exports = v;
    } else if (typeof define === "function" && define.amd) {
      define(["require", "exports", "../promise", "fs", "fs-extra"], factory);
    }
  })(function (require, exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    const promise_1 = require("../promise");

    const fs = require("fs");

    const fsx = require("fs-extra");

    let fsp = promise_1.default.promisifyAll(fsx);
    var FileSystemPermission;

    (function (FileSystemPermission) {
      FileSystemPermission[FileSystemPermission["Visible"] = fs.constants.F_OK] = "Visible";
      FileSystemPermission[FileSystemPermission["Read"] = fs.constants.R_OK] = "Read";
      FileSystemPermission[FileSystemPermission["Write"] = fs.constants.W_OK] = "Write";
      FileSystemPermission[FileSystemPermission["Execute"] = fs.constants.X_OK] = "Execute";
    })(FileSystemPermission = exports.FileSystemPermission || (exports.FileSystemPermission = {}));

    class FileSystemRecord {
      static accessAsync(path, mode) {
        return fsp.accessAsync(path, mode);
      }

      static chmodAsync(path, mode) {
        return fsp.chmodAsync(path, mode);
      }

      static chownAsync(path, uid, gid) {
        return fsp.chownAsync(path, uid, gid);
      }

    }

    exports.default = FileSystemRecord;
  });
});
//# sourceMappingURL=file-system-record.js.map
