/// <reference types="node" />
import FileSystemRecord from "./file-system-record";
export interface ReadFileOptions {
    encoding: string | null;
    flag: string;
}
export interface WriteFileOptions {
    encoding: string | null;
    mode: number;
    flag: string;
}
export default class File extends FileSystemRecord {
    static copyAsync(src: string, dest: string): Promise<void>;
    static removeAsync(path: string): Promise<void>;
    static readFileAsync(path: string | Buffer | URL | number, options?: ReadFileOptions | string): Promise<object>;
    static writeFileAsync(file: string | Buffer | URL | number, data: string | Buffer | Uint8Array, options?: WriteFileOptions | string): any;
}
