(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["module", "exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports);
    global.undefined = mod.exports;
  }
})(this, function (module, exports) {
  "use strict";

  (function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
      var v = factory(require, exports);
      if (v !== undefined) module.exports = v;
    } else if (typeof define === "function" && define.amd) {
      define(["require", "exports", "../promise", "./file-system-record", "fs-extra"], factory);
    }
  })(function (require, exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    const promise_1 = require("../promise");

    const file_system_record_1 = require("./file-system-record");

    const fs = require("fs-extra");

    let fsp = promise_1.default.promisifyAll(fs);

    class File extends file_system_record_1.default {
      static copyAsync(src, dest) {
        return fsp.copyAsync(src, dest);
      }

      static removeAsync(path) {
        return fsp.unlinkAsync(path);
      }

      static readFileAsync(path, options) {
        return fsp.readFileAsync(path, options);
      }

      static writeFileAsync(file, data, options) {
        return fsp.writeFileAsync(file, data, options);
      }

    }

    exports.default = File;
  });
});
//# sourceMappingURL=file.js.map
