(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["module", "exports"], factory);
  } else if (typeof exports !== "undefined") {
    factory(module, exports);
  } else {
    var mod = {
      exports: {}
    };
    factory(mod, mod.exports);
    global.undefined = mod.exports;
  }
})(this, function (module, exports) {
  "use strict";

  (function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
      var v = factory(require, exports);
      if (v !== undefined) module.exports = v;
    } else if (typeof define === "function" && define.amd) {
      define(["require", "exports", "./array-buffer-converter", "./child-process", "./stream-cache", "./data-url", "./file-system", "./launch-arguments", "./media-type", "./operating-system", "./promise"], factory);
    }
  })(function (require, exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    var array_buffer_converter_1 = require("./array-buffer-converter");

    exports.ArrayBufferConverter = array_buffer_converter_1.default;

    var child_process_1 = require("./child-process");

    exports.ChildProcess = child_process_1.default;

    var stream_cache_1 = require("./stream-cache");

    exports.StreamCache = stream_cache_1.default;

    var data_url_1 = require("./data-url");

    exports.DataURL = data_url_1.default;

    const FileSystem = require("./file-system");

    exports.FileSystem = FileSystem;

    var launch_arguments_1 = require("./launch-arguments");

    exports.LaunchArguments = launch_arguments_1.default;

    var media_type_1 = require("./media-type");

    exports.MediaType = media_type_1.default;

    const OperatingSystem = require("./operating-system");

    exports.OperatingSystem = OperatingSystem;

    var promise_1 = require("./promise");

    exports.Promise = promise_1.default;
  });
});
//# sourceMappingURL=index.js.map
