/**
 * media-type
 * @author Lovell Fuller (original JS)
 * @author Aaron Oneal (TypeScript)
 *
 * This code is distributed under the Apache License Version 2.0, the terms of
 * which may be found at http://www.apache.org/licenses/LICENSE-2.0.html
 */
export default class MediaType {
    private _type;
    private _subtype;
    private _parameters;
    private _suffix;
    private _subtypeFacets;
    constructor(mediaType?: string);
    type: string;
    subtype: string;
    parameters: any;
    readonly isValid: boolean;
    readonly hasSuffix: boolean;
    readonly isVendor: boolean;
    readonly isPersonal: boolean;
    readonly isExperimental: boolean;
    toString(): string;
    toJSON(): string;
    valueOf(): string;
    private setSubtypeAndSuffix;
    private firstSubtypeFacetEquals;
    private wrapQuotes;
    private unwrapQuotes;
}
